%global packname crayon
%global packver 1.3.1

Name:             R-%{packname}
Version:          %{packver}
Release:          4%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/crayon/index.html
Group:            Applications/Engineering
Summary:          Colored Terminal Output
BuildRequires:    R-devel >= 3.0.0, tetex-latex, R-memoise, R-grDevices, R-methods, R-utils
BuildArch:        noarch
Requires:         R-core >= 3.0.0, R-memoise, R-grDevices, R-methods, R-utils

%description 
Colored terminal output on terminals that support 'ANSI' color and highlight 
codes. It also works in 'Emacs' 'ESS'. 'ANSI' color support is automatically 
detected. Colors and highlighting can be combined and nested. New styles can 
also be created easily. This package was inspired by the 'chalk' 
'JavaScript' project.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Can't run this yet, needs R-testthat, and R-crayon is a dependency.
%if 0
%{_bindir}/R CMD check %%{packname}
%endif

%files
%dir %{_datadir}/R/library/%{packname}
# This is not the license text. It's actually pretty worthless.
%doc %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS.md
%doc %{_datadir}/R/library/%{packname}/README.markdown
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/ANSI-256-OSX.png
%{_datadir}/R/library/%{packname}//ANSI-8-OSX.png


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Tom Callaway <spot@fedoraproject.org> - 1.3.1-2
- fix define to be global

* Wed Nov  4 2015 Tom Callaway <spot@fedoraproject.org> - 1.3.1-1
- initial package
